#include <iostream>

#include <getopt.h>

#include "support/progresstext.h"
#include "tempfile.h"
#include "it_core.h"
#include "it_temp.h"

using namespace std;


#if 0
int main(int argc, char **argv)
{
	TempFileTracker tracker;

	TempFile *t;
	t=new TempFile(&tracker,"imtg");
	cerr << "Temporary file with name: " << t->Filename() << endl;
	t=new TempFile(&tracker,"imtg");
	cerr << "Temporary file with name: " << t->Filename() << endl;
	t=new TempFile(&tracker,"imtg");
	cerr << "Temporary file with name: " << t->Filename() << endl;
	t=new TempFile(&tracker,"imtg");
	cerr << "Temporary file with name: " << t->Filename() << endl;
	t=new TempFile(&tracker,"imtg");
	cerr << "Temporary file with name: " << t->Filename() << endl;

	return(0);
}
#endif

int main(int argc,char **argv)
{
	try
	{
		IT_Core it;
		it.ParseConfigFile();
		it.ParseOptions(argc,argv);
		for(int i=optind;i<argc;++i)
		{
//			it.ProcessFile(argv[i]);
			ProgressText p;
			Temp_SrcImage si(&it,argv[i],&p);
			cerr << "Source image filename: " << si.Filename() << endl;
			cerr << "Source profile filename: " << si.GetSrcProfile()->Filename() << endl;
			Temp_Gamut *gam=si.GetGamut();
			cerr << "Gamut filename: " << gam->Filename() << endl;
			Temp_DeviceLink *dl=new Temp_DeviceLink(&it,&si,&p);
			cerr << "DeviceLink filename: " << dl->Filename() << endl;
		}
	}
	catch (const char *err)
	{
		cerr << err << endl;
	}
	return(0);
};
